OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
AttributeSet::Inserter Struct Reference

Utility method to construct a NameAndType sequence. More...

`#include <AttributeSet.h>`

## Public Member Functions
Inserter & | add (const NameAndType &nameAndType)
Inserter & | add (const Name &name, const NamePair &type)
Inserter & | add (const NameAndTypeVec &other)

## Public Attributes
NameAndTypeVec | vec

## Detailed Description

Utility method to construct a NameAndType sequence.

## Member Function Documentation

## ◆ add() [1/3]

Inserter& add | ( | const Name & | name,
|  | const NamePair & | type
| ) |  |
| inline

## ◆ add() [2/3]

Inserter& add | ( | const NameAndType & | nameAndType | ) |
| inline

## ◆ add() [3/3]

Inserter& add | ( | const NameAndTypeVec & | other | ) |
| inline

## Member Data Documentation

## ◆ vec

NameAndTypeVec vec

The documentation for this struct was generated from the following file:

- AttributeSet.h